# Update a saved datapoint's filter

Changes a specific DataPointFilter

Endpoint: PATCH /data-points/filters/{id}
Version: 20260701
Security: X-API-KEY, Authorization

## Path parameters:

  - `id` (string, required)
    ID of a DataPointFilter

## Request fields (application/json):

  - `name` (string, required)
    The filter name

  - `shared` (boolean)
    Defines if the filter is shared or not

  - `directories` (array)
    The list of directories for which the dataPoints should be filtered

  - `countries` (array)
    The list of countries for which the dataPoints should be filtered

  - `dataPointTypes` (array)
    The list of data point types (REVIEW or PHOTO) for which the dataPoints should be filtered

  - `ratings` (array)
    The list of ratings (1, 2, 3, 4 or 5) for which the dataPoints should be filtered

  - `labels` (array)
    The list of labels for which the dataPoints should be filtered

  - `isRead` (boolean)
    Flag to set when only datapoints should be shown that the current user already read

  - `hasReply` (boolean)
    Flag to set when only datapoints with a reply should be shown

  - `hasText` (boolean)
    Flag to set when only datapoints with text should be shown

  - `query` (string)
    Any combination of words that should be checked in the dataPoints text, reply messages and author

  - `frequency` (string)
    The frequency of the email notifications.
    Enum: "ALWAYS", "DAILY", "WEEKLY", "MONTHLY", "QUARTERLY", "NEVER"

  - `timeSpan` (string)
    The date range for which the dataPoints should be filtered.
    Enum: "TODAY", "LAST_7_DAYS", "LAST_14_DAYS", "LAST_30_DAYS", "LAST_90_DAYS", "LAST_365_DAYS", "ALL_TIME"

  - `crossfeedFilterId` (integer)
    The id of a filter saved by a user in the Feed

  - `businessIds` (array)
    The list of businesses IDs for which the dataPoints should be filtered

  - `dateEnd` (string)
    The maximum date for which the dataPoints should be filtered

  - `dateStart` (string)
    The minimum date for which the dataPoints should be filtered

  - `ownerId` (integer)
    The id of the user that owns the filter

  - `ownerName` (string)
    The name of the user that owns the filter

  - `salesPartnerId` (integer)
    The sales partner to which the filter belongs

  - `subscriberIds` (array)
    The list of user's ids that are subscribed to the filter

## Response 200 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `warnings` (array)
    (optional) Holds further warnings

  - `response` (object, required)
    The actual response object of the response

  - `response.dataPointFilter` (object)
    Data Point Filter Model

  - `response.dataPointFilter.name` (string, required)
    The filter name

  - `response.dataPointFilter.shared` (boolean)
    Defines if the filter is shared or not

  - `response.dataPointFilter.directories` (array)
    The list of directories for which the dataPoints should be filtered

  - `response.dataPointFilter.countries` (array)
    The list of countries for which the dataPoints should be filtered

  - `response.dataPointFilter.dataPointTypes` (array)
    The list of data point types (REVIEW or PHOTO) for which the dataPoints should be filtered

  - `response.dataPointFilter.ratings` (array)
    The list of ratings (1, 2, 3, 4 or 5) for which the dataPoints should be filtered

  - `response.dataPointFilter.labels` (array)
    The list of labels for which the dataPoints should be filtered

  - `response.dataPointFilter.isRead` (boolean)
    Flag to set when only datapoints should be shown that the current user already read

  - `response.dataPointFilter.hasReply` (boolean)
    Flag to set when only datapoints with a reply should be shown

  - `response.dataPointFilter.hasText` (boolean)
    Flag to set when only datapoints with text should be shown

  - `response.dataPointFilter.query` (string)
    Any combination of words that should be checked in the dataPoints text, reply messages and author

  - `response.dataPointFilter.frequency` (string)
    The frequency of the email notifications.
    Enum: "ALWAYS", "DAILY", "WEEKLY", "MONTHLY", "QUARTERLY", "NEVER"

  - `response.dataPointFilter.timeSpan` (string)
    The date range for which the dataPoints should be filtered.
    Enum: "TODAY", "LAST_7_DAYS", "LAST_14_DAYS", "LAST_30_DAYS", "LAST_90_DAYS", "LAST_365_DAYS", "ALL_TIME"

  - `response.dataPointFilter.crossfeedFilterId` (integer)
    The id of a filter saved by a user in the Feed

  - `response.dataPointFilter.businessIds` (array)
    The list of businesses IDs for which the dataPoints should be filtered

  - `response.dataPointFilter.dateEnd` (string)
    The maximum date for which the dataPoints should be filtered

  - `response.dataPointFilter.dateStart` (string)
    The minimum date for which the dataPoints should be filtered

  - `response.dataPointFilter.ownerId` (integer)
    The id of the user that owns the filter

  - `response.dataPointFilter.ownerName` (string)
    The name of the user that owns the filter

  - `response.dataPointFilter.salesPartnerId` (integer)
    The sales partner to which the filter belongs

  - `response.dataPointFilter.subscriberIds` (array)
    The list of user's ids that are subscribed to the filter

## Response 400 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 401 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 403 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 404 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 409 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

